pipeline:
  build:
    image: jekyll/jekyll:4
    environment:
      - JEKYLL_ROOTLESS=1
    commands:
      - mkdir _site
      - jekyll build -s src/ --disable-disk-cache

  deploy:
    image: appleboy/drone-scp
    settings:
      host:
        - www3.int.metaunix.net
      user: xadmin
      port: 22
      password:
        from_secret: ssh_password
      command_timeout: 2m
      target: /var/www/bitgoblin.tech
      source: ./_site/*
      rm: True
      strip_components: 1
    when:
      event: tag
